<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:47 CET 2016 -->
<title>GeneratedTab (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GeneratedTab (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/FormTab.html" title="class in com.openbravo.test.integration.erp.gui.tabs"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html" target="_top">Frames</a></li>
<li><a href="GeneratedTab.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.gui.tabs</div>
<h2 title="Class GeneratedTab" class="title">Class GeneratedTab</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">com.openbravo.test.integration.erp.gui.tabs.Tab</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.gui.tabs.GeneratedTab</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/classic/AccountTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount.classic">AccountTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/productsetup/attributeset/classic/AttributeSetTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.productsetup.attributeset.classic">AttributeSetTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartnersetup/businesspartnercategory/classic/BusinessPartnerCategoryTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartnersetup.businesspartnercategory.classic">BusinessPartnerCategoryTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartner/classic/BusinessPartnerTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartner.classic">BusinessPartnerTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/businesspartnertaxcategory/classic/BusinessPartnerTaxCategoryTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.businesspartnertaxcategory.classic">BusinessPartnerTaxCategoryTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/fiscalcalendar/classic/CalendarTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.fiscalcalendar.classic">CalendarTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartner/classic/CustomerTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartner.classic">CustomerTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/generalledgerconfiguration/classic/GeneralAccountsTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.generalledgerconfiguration.classic">GeneralAccountsTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/generalledgerconfiguration/classic/GeneralLedgerConfigurationTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.generalledgerconfiguration.classic">GeneralLedgerConfigurationTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartnersetup/paymentterm/classic/HeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartnersetup.paymentterm.classic">HeaderTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/pricing/pricelistschema/classic/HeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.pricing.pricelistschema.classic">HeaderTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/classic/HeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory.classic">HeaderTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/general/application/heartbeatconfiguration/classic/HeartbeatConfigurationTab.html" title="class in com.openbravo.test.integration.erp.gui.general.application.heartbeatconfiguration.classic">HeartbeatConfigurationTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartnersetup/invoiceschedule/classic/InvoiceScheduleTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartnersetup.invoiceschedule.classic">InvoiceScheduleTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/pricing/pricelistschema/classic/LinesTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.pricing.pricelistschema.classic">LinesTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/classic/LinesTab.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory.classic">LinesTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartner/classic/LocationAddressTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartner.classic">LocationAddressTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/transactions/opencloseperiodcontrol/classic/OpenClosePeriodControlTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.transactions.opencloseperiodcontrol.classic">OpenClosePeriodControlTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/general/security/role/classic/OrgAccessTab.html" title="class in com.openbravo.test.integration.erp.gui.general.security.role.classic">OrgAccessTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/general/enterprise/organization/classic/OrganizationTab.html" title="class in com.openbravo.test.integration.erp.gui.general.enterprise.organization.classic">OrganizationTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/setup/paymentmethod/classic/PaymentMethodTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.setup.paymentmethod.classic">PaymentMethodTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/classic/PaymentMethodTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount.classic">PaymentMethodTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/fiscalcalendar/classic/PeriodTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.fiscalcalendar.classic">PeriodTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/pricing/pricelist/classic/PriceListTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.pricing.pricelist.classic">PriceListTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/pricing/pricelist/classic/PriceListVersionTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.pricing.pricelist.classic">PriceListVersionTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/product/classic/PriceTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.product.classic">PriceTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/productsetup/productcategory/classic/ProductCategoryTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.productsetup.productcategory.classic">ProductCategoryTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/pricing/pricelist/classic/ProductPriceTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.pricing.pricelist.classic">ProductPriceTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/product/classic/ProductTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.product.classic">ProductTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/general/security/role/classic/RoleTab.html" title="class in com.openbravo.test.integration.erp.gui.general.security.role.classic">RoleTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/selectorexamples/gui/SelectorExample.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.selectorexamples.gui">SelectorExample</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/setup/warehouseandstoragebins/classic/StorageBinTab.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.setup.warehouseandstoragebins.classic">StorageBinTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/taxcategory/classic/TaxCategoryTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.taxcategory.classic">TaxCategoryTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/taxrate/classic/TaxTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.taxrate.classic">TaxTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/productsetup/unitofmeasure/classic/UnitOfMeasureTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.productsetup.unitofmeasure.classic">UnitOfMeasureTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/general/security/role/classic/UserAssignmentTab.html" title="class in com.openbravo.test.integration.erp.gui.general.security.role.classic">UserAssignmentTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/general/security/user/classic/UserRolesTab.html" title="class in com.openbravo.test.integration.erp.gui.general.security.user.classic">UserRolesTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/general/security/user/classic/UserTab.html" title="class in com.openbravo.test.integration.erp.gui.general.security.user.classic">UserTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartner/classic/VendorCreditorTab.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartner.classic">VendorCreditorTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/setup/warehouseandstoragebins/classic/WarehouseTab.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.setup.warehouseandstoragebins.classic">WarehouseTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/fiscalcalendar/classic/YearTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.fiscalcalendar.classic">YearTab</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">GeneratedTab</span>
extends <a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a></pre>
<div class="block">Class that represents a Generated Tab on OpenbravoERP.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_DELETE">BUTTON_DELETE</a></span></code>
<div class="block">Identifier of the Delete button</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_EDITION">BUTTON_EDITION</a></span></code>
<div class="block">Identifier of the edition button</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_FIRST">BUTTON_FIRST</a></span></code>
<div class="block">Identifier of the first button</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_NEW">BUTTON_NEW</a></span></code>
<div class="block">Identifier of the new button</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_NEXT">BUTTON_NEXT</a></span></code>
<div class="block">Identifier of the next button</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_POSTED">BUTTON_POSTED</a></span></code>
<div class="block">Identifier of the posted button</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_PREVIOUS">BUTTON_PREVIOUS</a></span></code>
<div class="block">Identifier of the previous button</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_PROCESS">BUTTON_PROCESS</a></span></code>
<div class="block">Identifier of the process button</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_PROCESSING">BUTTON_PROCESSING</a></span></code>
<div class="block">Identifier of the processing button</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_RELATION">BUTTON_RELATION</a></span></code>
<div class="block">Identifier of the relation button</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_SAVE">BUTTON_SAVE</a></span></code>
<div class="block">Identifier of the save button</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_SEARCH">BUTTON_SEARCH</a></span></code>
<div class="block">Identifier of the search button</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#BUTTON_SEARCH_FILTERED">BUTTON_SEARCH_FILTERED</a></span></code>
<div class="block">Identifier of the search filtered button</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#LABEL_BOOKMARK">LABEL_BOOKMARK</a></span></code>
<div class="block">Identifier of the bookmark label</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#LINK_BUTTON_SAVE">LINK_BUTTON_SAVE</a></span></code>
<div class="block">Identifier of the save link (enabled)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#LINK_LINKED_ITEMS">LINK_LINKED_ITEMS</a></span></code>
<div class="block">Locator of the Linked Items link</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#TABLE_GRID_VIEW">TABLE_GRID_VIEW</a></span></code>
<div class="block">Locator of the table displayed on grid view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#TABLE_HEADER_GRID_VIEW">TABLE_HEADER_GRID_VIEW</a></span></code>
<div class="block">Locator of the header of the table displayed on grid view.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.gui.tabs.Tab">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.gui.tabs.<a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a></h3>
<code><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html#FRAME_APPLICATION">FRAME_APPLICATION</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#GeneratedTab-java.lang.String-int-java.lang.String-">GeneratedTab</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title,
            int&nbsp;level,
            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tab)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#clickCreateNewRecord--">clickCreateNewRecord</a></span>()</code>
<div class="block">Perform the actions required to create a new record TODO find a better name for this method, as
 it does more than clicking</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#clickFirst--">clickFirst</a></span>()</code>
<div class="block">Click the first button</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#clickNext--">clickNext</a></span>()</code>
<div class="block">Click the next button.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#clickPrevious--">clickPrevious</a></span>()</code>
<div class="block">Click the previous button</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#clickRecord-java.lang.String-">clickRecord</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;number)</code>
<div class="block">Click a record by it's number in the table.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#clickRecordWithText-int-java.lang.String-">clickRecordWithText</a></span>(int&nbsp;column,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</code>
<div class="block">Click a record with the specified text</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#clickSave--">clickSave</a></span>()</code>
<div class="block">Click save button and wait for the page to load</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#clickSearch--">clickSearch</a></span>()</code>
<div class="block">Click search button</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#deleteRecord--">deleteRecord</a></span>()</code>
<div class="block">Delete the selected record.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#existsRecordWithText-int-java.lang.String-">existsRecordWithText</a></span>(int&nbsp;column,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</code>
<div class="block">Check if a record with a specified text on a column exists.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#filter--">filter</a></span>()</code>
<div class="block">Filter Records.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#getHTMLRowNumber-int-">getHTMLRowNumber</a></span>(int&nbsp;row)</code>
<div class="block">Get the number of the row in the HTML table</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#getRowCount--">getRowCount</a></span>()</code>
<div class="block">Get the number of rows in the grid</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#isOnFormView--">isOnFormView</a></span>()</code>
<div class="block">Returns true if this window is on form view.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#isOnGridView--">isOnGridView</a></span>()</code>
<div class="block">Returns true if this window is on form grid.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#post--">post</a></span>()</code>
<div class="block">Post the transaction</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#process--">process</a></span>()</code>
<div class="block">Process the transaction</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#sort-int-">sort</a></span>(int&nbsp;columnIndex)</code>
<div class="block">Sort the grid view table clicking a column.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#switchToFormView--">switchToFormView</a></span>()</code>
<div class="block">Switch to form view</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#switchToGridView--">switchToGridView</a></span>()</code>
<div class="block">Switch to grid view and wait until the grid has been loaded</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#verifyDelete--">verifyDelete</a></span>()</code>
<div class="block">Verify that the record was deleted.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#verifySave--">verifySave</a></span>()</code>
<div class="block">Verify that the record was saved.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#verifyUpdate--">verifyUpdate</a></span>()</code>
<div class="block">Verify that the record was updated.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html#waitForGridToLoad--">waitForGridToLoad</a></span>()</code>
<div class="block">Wait until the grid has completely loaded</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.gui.tabs.Tab">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.gui.tabs.<a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a></h3>
<code><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html#addSubTab-com.openbravo.test.integration.erp.gui.tabs.Tab-">addSubTab</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html#getLevel--">getLevel</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html#getSubtabs--">getSubtabs</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html#getTitle--">getTitle</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html#open--">open</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html#waitForDataToLoad--">waitForDataToLoad</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html#waitForFrame--">waitForFrame</a>, <a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html#waitUntilTabIsVisible--">waitUntilTabIsVisible</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="BUTTON_EDITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_EDITION</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_EDITION</pre>
<div class="block">Identifier of the edition button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_EDITION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_RELATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_RELATION</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_RELATION</pre>
<div class="block">Identifier of the relation button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_RELATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_NEW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_NEW</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_NEW</pre>
<div class="block">Identifier of the new button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_NEW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_DELETE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_DELETE</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_DELETE</pre>
<div class="block">Identifier of the Delete button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_DELETE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_SAVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_SAVE</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_SAVE</pre>
<div class="block">Identifier of the save button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_SAVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LINK_BUTTON_SAVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINK_BUTTON_SAVE</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> LINK_BUTTON_SAVE</pre>
<div class="block">Identifier of the save link (enabled)</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.LINK_BUTTON_SAVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_SEARCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_SEARCH</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_SEARCH</pre>
<div class="block">Identifier of the search button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_SEARCH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_SEARCH_FILTERED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_SEARCH_FILTERED</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_SEARCH_FILTERED</pre>
<div class="block">Identifier of the search filtered button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_SEARCH_FILTERED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_FIRST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_FIRST</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_FIRST</pre>
<div class="block">Identifier of the first button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_FIRST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_PREVIOUS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_PREVIOUS</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_PREVIOUS</pre>
<div class="block">Identifier of the previous button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_PREVIOUS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_NEXT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_NEXT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_NEXT</pre>
<div class="block">Identifier of the next button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_NEXT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LABEL_BOOKMARK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LABEL_BOOKMARK</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> LABEL_BOOKMARK</pre>
<div class="block">Identifier of the bookmark label</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.LABEL_BOOKMARK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LINK_LINKED_ITEMS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINK_LINKED_ITEMS</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> LINK_LINKED_ITEMS</pre>
<div class="block">Locator of the Linked Items link</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.LINK_LINKED_ITEMS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_PROCESSING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_PROCESSING</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_PROCESSING</pre>
<div class="block">Identifier of the processing button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_PROCESSING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_PROCESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_PROCESS</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_PROCESS</pre>
<div class="block">Identifier of the process button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_PROCESS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUTTON_POSTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_POSTED</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BUTTON_POSTED</pre>
<div class="block">Identifier of the posted button</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.BUTTON_POSTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TABLE_HEADER_GRID_VIEW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TABLE_HEADER_GRID_VIEW</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TABLE_HEADER_GRID_VIEW</pre>
<div class="block">Locator of the header of the table displayed on grid view.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.TABLE_HEADER_GRID_VIEW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TABLE_GRID_VIEW">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TABLE_GRID_VIEW</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TABLE_GRID_VIEW</pre>
<div class="block">Locator of the table displayed on grid view.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#com.openbravo.test.integration.erp.gui.tabs.GeneratedTab.TABLE_GRID_VIEW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GeneratedTab-java.lang.String-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GeneratedTab</h4>
<pre>public&nbsp;GeneratedTab(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title,
                    int&nbsp;level,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tab)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - The title of the tab.</dd>
<dd><code>level</code> - The level of the tab.</dd>
<dd><code>tab</code> - The identifier of the tab.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isOnFormView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOnFormView</h4>
<pre>protected&nbsp;boolean&nbsp;isOnFormView()</pre>
<div class="block">Returns true if this window is on form view.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean indicating whether this window is on form view</dd>
</dl>
</li>
</ul>
<a name="isOnGridView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOnGridView</h4>
<pre>protected&nbsp;boolean&nbsp;isOnGridView()</pre>
<div class="block">Returns true if this window is on form grid.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean indicating whether this window is on grid view</dd>
</dl>
</li>
</ul>
<a name="clickCreateNewRecord--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickCreateNewRecord</h4>
<pre>public&nbsp;void&nbsp;clickCreateNewRecord()</pre>
<div class="block">Perform the actions required to create a new record TODO find a better name for this method, as
 it does more than clicking</div>
</li>
</ul>
<a name="deleteRecord--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteRecord</h4>
<pre>public&nbsp;void&nbsp;deleteRecord()
                  throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Delete the selected record.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="switchToFormView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>switchToFormView</h4>
<pre>public&nbsp;void&nbsp;switchToFormView()
                      throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Switch to form view</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="switchToGridView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>switchToGridView</h4>
<pre>public&nbsp;void&nbsp;switchToGridView()
                      throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Switch to grid view and wait until the grid has been loaded</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="waitForGridToLoad--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitForGridToLoad</h4>
<pre>protected&nbsp;void&nbsp;waitForGridToLoad()
                          throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Wait until the grid has completely loaded</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="clickSave--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickSave</h4>
<pre>protected&nbsp;void&nbsp;clickSave()</pre>
<div class="block">Click save button and wait for the page to load</div>
</li>
</ul>
<a name="clickSearch--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickSearch</h4>
<pre>public&nbsp;void&nbsp;clickSearch()</pre>
<div class="block">Click search button</div>
</li>
</ul>
<a name="clickFirst--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickFirst</h4>
<pre>public&nbsp;void&nbsp;clickFirst()</pre>
<div class="block">Click the first button</div>
</li>
</ul>
<a name="clickPrevious--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickPrevious</h4>
<pre>public&nbsp;void&nbsp;clickPrevious()</pre>
<div class="block">Click the previous button</div>
</li>
</ul>
<a name="clickNext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickNext</h4>
<pre>public&nbsp;void&nbsp;clickNext()</pre>
<div class="block">Click the next button.</div>
</li>
</ul>
<a name="verifySave--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verifySave</h4>
<pre>public&nbsp;void&nbsp;verifySave()</pre>
<div class="block">Verify that the record was saved.</div>
</li>
</ul>
<a name="verifyUpdate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verifyUpdate</h4>
<pre>public&nbsp;void&nbsp;verifyUpdate()</pre>
<div class="block">Verify that the record was updated.</div>
</li>
</ul>
<a name="verifyDelete--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verifyDelete</h4>
<pre>public&nbsp;void&nbsp;verifyDelete()</pre>
<div class="block">Verify that the record was deleted.</div>
</li>
</ul>
<a name="getRowCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRowCount</h4>
<pre>public&nbsp;int&nbsp;getRowCount()
                throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Get the number of rows in the grid</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The number of rows in the grid</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="getHTMLRowNumber-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHTMLRowNumber</h4>
<pre>protected&nbsp;int&nbsp;getHTMLRowNumber(int&nbsp;row)
                        throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Get the number of the row in the HTML table</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>row</code> - The number of the required row, starting from 0</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The number of the row in the HTML table</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="clickRecord-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickRecord</h4>
<pre>public&nbsp;void&nbsp;clickRecord(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;number)
                 throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Click a record by it's number in the table.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>number</code> - The number of the record in the table.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="clickRecordWithText-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickRecordWithText</h4>
<pre>public&nbsp;void&nbsp;clickRecordWithText(int&nbsp;column,
                                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)
                         throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Click a record with the specified text</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>column</code> - The column where the text will be searched</dd>
<dd><code>text</code> - The text of the record to click</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="existsRecordWithText-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>existsRecordWithText</h4>
<pre>public&nbsp;boolean&nbsp;existsRecordWithText(int&nbsp;column,
                                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)
                             throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Check if a record with a specified text on a column exists.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>column</code> - The column where the text will be searched</dd>
<dd><code>text</code> - The text of the record to click</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the record exists. Otherwise, false.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="process--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>process</h4>
<pre>public&nbsp;void&nbsp;process()
             throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Process the transaction</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="post--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>post</h4>
<pre>public&nbsp;void&nbsp;post()
          throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Post the transaction</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="sort-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sort</h4>
<pre>public&nbsp;void&nbsp;sort(int&nbsp;columnIndex)
          throws com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Sort the grid view table clicking a column.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>columnIndex</code> - The index of the column to click.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
<a name="filter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>filter</h4>
<pre>public&nbsp;void&nbsp;filter()</pre>
<div class="block">Filter Records.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/FormTab.html" title="class in com.openbravo.test.integration.erp.gui.tabs"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?com/openbravo/test/integration/erp/gui/tabs/GeneratedTab.html" target="_top">Frames</a></li>
<li><a href="GeneratedTab.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
